<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Rifle/Repeater.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/de8/_repeater_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Repeater.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/de8/_repeater_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents weapon's stable state (i.e. the basic states that the weapon will spend the most time in)  <a href="../../dc/dcc/class_weapon_stable_state.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d5e/class_weapon_state_jammed.html">WeaponStateJammed</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">handle jamming state set jam/unjam state for weapon  <a href="../../db/d5e/class_weapon_state_jammed.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d79/class_rifle___base.html">Rifle_Base</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">base for rifles @NOTE name copies config base class  <a href="../../dd/d79/class_rifle___base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d38/class_repeater.html">Repeater</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ab3064d72f62af4211a3b415db6c70649"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#ab3064d72f62af4211a3b415db6c70649">RPTAnimState</a> { <a class="el" href="../../d4/de8/_repeater_8c.html#ab3064d72f62af4211a3b415db6c70649a88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a> = 0
, <a class="el" href="../../d4/de8/_repeater_8c.html#ab3064d72f62af4211a3b415db6c70649abe2f55540ce4c31da37839f49cbfac00">CHARGED</a> = 1
, <a class="el" href="../../d4/de8/_repeater_8c.html#ab3064d72f62af4211a3b415db6c70649aad639e4ca3a26a00029522971c36d7b3">JAMMED</a> = 2
 }</td></tr>
<tr class="separator:ab3064d72f62af4211a3b415db6c70649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ce329f97585f0d3093b022a1d8922c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a31ce329f97585f0d3093b022a1d8922c">RPTStableStateID</a> </td></tr>
<tr class="separator:a31ce329f97585f0d3093b022a1d8922c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7cfb9448314355bc477a5c2776f2946b"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d4/de8/_repeater_8c.html#a31ce329f97585f0d3093b022a1d8922c">RPTStableStateID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a7cfb9448314355bc477a5c2776f2946b">OnEntry</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a7cfb9448314355bc477a5c2776f2946b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">OnExit</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba6d4213ebbe1820d719974f601736"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a8fba6d4213ebbe1820d719974f601736">GetCurrentStateID</a> ()</td></tr>
<tr class="separator:a8fba6d4213ebbe1820d719974f601736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49d3803bebd844c3f873106849df18a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#ab49d3803bebd844c3f873106849df18a">HasBullet</a> ()</td></tr>
<tr class="separator:ab49d3803bebd844c3f873106849df18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a2200b1debc914a8e34252c33e8dfe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#af2a2200b1debc914a8e34252c33e8dfe">HasMagazine</a> ()</td></tr>
<tr class="separator:af2a2200b1debc914a8e34252c33e8dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac14d196e64cad535c5aa50f0c954df3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#aac14d196e64cad535c5aa50f0c954df3">IsJammed</a> ()</td></tr>
<tr class="separator:aac14d196e64cad535c5aa50f0c954df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5505b40857f04731ef377a6be07e9d8c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a5505b40857f04731ef377a6be07e9d8c">IsRepairEnabled</a> ()</td></tr>
<tr class="separator:a5505b40857f04731ef377a6be07e9d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecb416b07a0879e66f05969cc59bd671"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#aecb416b07a0879e66f05969cc59bd671">InitMuzzleArray</a> ()</td></tr>
<tr class="separator:aecb416b07a0879e66f05969cc59bd671"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6ce26a62afab55d7606ad4e92428b30c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = 0</td></tr>
<tr class="separator:a6ce26a62afab55d7606ad4e92428b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a332981bdbabf1fd0ddb26c5c32ca57a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a332981bdbabf1fd0ddb26c5c32ca57a9">EmptyDischarged</a> = 1</td></tr>
<tr class="separator:a332981bdbabf1fd0ddb26c5c32ca57a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc1bae2f63fca2b0f798d1481240dcc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#afc1bae2f63fca2b0f798d1481240dcc3">LoadedCharged</a> = 2</td></tr>
<tr class="separator:afc1bae2f63fca2b0f798d1481240dcc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a526965c0467a0c850554653087efa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#ae8a526965c0467a0c850554653087efa">LoadedDischarged</a> = 3</td></tr>
<tr class="separator:ae8a526965c0467a0c850554653087efa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cbb8636555a4b4c0d9ea9f413bc2075"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#a0cbb8636555a4b4c0d9ea9f413bc2075">LoadedJammed</a> = 4</td></tr>
<tr class="separator:a0cbb8636555a4b4c0d9ea9f413bc2075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad98c2e1da7a2a0db4b26384e4eb11be4"><td class="memItemLeft" align="right" valign="top">class RPTLoadedCharged extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/de8/_repeater_8c.html#ad98c2e1da7a2a0db4b26384e4eb11be4">OnEntry</a></td></tr>
<tr class="separator:ad98c2e1da7a2a0db4b26384e4eb11be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ab3064d72f62af4211a3b415db6c70649" name="ab3064d72f62af4211a3b415db6c70649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3064d72f62af4211a3b415db6c70649">&#9670;&#160;</a></span>RPTAnimState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/de8/_repeater_8c.html#ab3064d72f62af4211a3b415db6c70649">RPTAnimState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ab3064d72f62af4211a3b415db6c70649a88ec7d5086d2469ba843c7fcceade8a6" name="ab3064d72f62af4211a3b415db6c70649a88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"><p >default weapon state, closed and discharged </p>
</td></tr>
<tr><td class="fieldname"><a id="ab3064d72f62af4211a3b415db6c70649abe2f55540ce4c31da37839f49cbfac00" name="ab3064d72f62af4211a3b415db6c70649abe2f55540ce4c31da37839f49cbfac00"></a>CHARGED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ab3064d72f62af4211a3b415db6c70649aad639e4ca3a26a00029522971c36d7b3" name="ab3064d72f62af4211a3b415db6c70649aad639e4ca3a26a00029522971c36d7b3"></a>JAMMED&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="a31ce329f97585f0d3093b022a1d8922c" name="a31ce329f97585f0d3093b022a1d8922c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ce329f97585f0d3093b022a1d8922c">&#9670;&#160;</a></span>RPTStableStateID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/de8/_repeater_8c.html#a31ce329f97585f0d3093b022a1d8922c">RPTStableStateID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00008">8</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fba6d4213ebbe1820d719974f601736" name="a8fba6d4213ebbe1820d719974f601736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba6d4213ebbe1820d719974f601736">&#9670;&#160;</a></span>GetCurrentStateID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00022">22</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="ab49d3803bebd844c3f873106849df18a" name="ab49d3803bebd844c3f873106849df18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49d3803bebd844c3f873106849df18a">&#9670;&#160;</a></span>HasBullet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00023">23</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="af2a2200b1debc914a8e34252c33e8dfe" name="af2a2200b1debc914a8e34252c33e8dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a2200b1debc914a8e34252c33e8dfe">&#9670;&#160;</a></span>HasMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasMagazine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00024">24</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="aecb416b07a0879e66f05969cc59bd671" name="aecb416b07a0879e66f05969cc59bd671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecb416b07a0879e66f05969cc59bd671">&#9670;&#160;</a></span>InitMuzzleArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void InitMuzzleArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00027">27</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="aac14d196e64cad535c5aa50f0c954df3" name="aac14d196e64cad535c5aa50f0c954df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac14d196e64cad535c5aa50f0c954df3">&#9670;&#160;</a></span>IsJammed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsJammed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00025">25</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="a5505b40857f04731ef377a6be07e9d8c" name="a5505b40857f04731ef377a6be07e9d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5505b40857f04731ef377a6be07e9d8c">&#9670;&#160;</a></span>IsRepairEnabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsRepairEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00026">26</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="a7cfb9448314355bc477a5c2776f2946b" name="a7cfb9448314355bc477a5c2776f2946b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cfb9448314355bc477a5c2776f2946b">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/de8/_repeater_8c.html#a31ce329f97585f0d3093b022a1d8922c">RPTStableStateID</a> OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="aa40f8697dfa587f8adabc8640bc98ad8" name="aa40f8697dfa587f8adabc8640bc98ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f8697dfa587f8adabc8640bc98ad8">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00021">21</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a332981bdbabf1fd0ddb26c5c32ca57a9" name="a332981bdbabf1fd0ddb26c5c32ca57a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a332981bdbabf1fd0ddb26c5c32ca57a9">&#9670;&#160;</a></span>EmptyDischarged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ EmptyDischarged = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00022">22</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="afc1bae2f63fca2b0f798d1481240dcc3" name="afc1bae2f63fca2b0f798d1481240dcc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc1bae2f63fca2b0f798d1481240dcc3">&#9670;&#160;</a></span>LoadedCharged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ LoadedCharged = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00023">23</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="ae8a526965c0467a0c850554653087efa" name="ae8a526965c0467a0c850554653087efa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a526965c0467a0c850554653087efa">&#9670;&#160;</a></span>LoadedDischarged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ LoadedDischarged = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00024">24</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="a0cbb8636555a4b4c0d9ea9f413bc2075" name="a0cbb8636555a4b4c0d9ea9f413bc2075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cbb8636555a4b4c0d9ea9f413bc2075">&#9670;&#160;</a></span>LoadedJammed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ LoadedJammed = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00025">25</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
<a id="ad98c2e1da7a2a0db4b26384e4eb11be4" name="ad98c2e1da7a2a0db4b26384e4eb11be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad98c2e1da7a2a0db4b26384e4eb11be4">&#9670;&#160;</a></span>OnEntry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class RPTLoadedCharged extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a> OnEntry</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ce26a62afab55d7606ad4e92428b30c" name="a6ce26a62afab55d7606ad4e92428b30c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce26a62afab55d7606ad4e92428b30c">&#9670;&#160;</a></span>UNKNOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ UNKNOWN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de8/_repeater_8c_source.html#l00021">21</a> of file <a class="el" href="../../d4/de8/_repeater_8c_source.html">Repeater.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_bce4da49836595f9a16952151be6b928.html">Rifle</a></li><li class="navelem"><a class="el" href="../../d4/de8/_repeater_8c.html">Repeater.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
